%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitelib_arch: %global python_sitelib_arch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Summary:       Debugger using ptrace written in Python
Name:          python-ptrace
Version:       0.6.2
Release:       3%{?dist}
License:       GPLv2
Group:         Development/Tools
URL  :         http://python-ptrace.hachoir.org/
Source0:       http://pypi.python.org/packages/source/p/python-ptrace/%{name}-%{version}.tar.gz
BuildRequires: python-setuptools-devel python-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
python-ptrace is a debugger using ptrace written in Python.
Fearures:
 o High level Python object API : PtraceDebugger and PtraceProcess
 o Able to control multiple processes: catch fork events on Linux
 o Read/write bytes to arbitrary address: take care of memory alignment
   and split bytes to cpu word
 o Execution step by step using ptrace_singlestep() 
   or hardware interruption 3
 o Dump registers, memory mappings, stack, etc.
 o Syscall tracer and parser (strace.py command) 
 o Can use distorm disassembler (if available)

%prep
%setup -q

%build
%{__python} setup.py build
%{__python} setup_cptrace.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{__python} setup_cptrace.py install -O1 --skip-build --root %{buildroot}

%{__chmod} 0644  examples/*.py
%{__rm} -f %{buildroot}%{_bindir}/{gdb,strace}.{pyo,pyc}

%clean
%{__rm} -rf %{buildroot}

%check
%{__python} ./test_doc.py

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README README.cptrace TODO
%doc doc/* examples
%if 0%{?fedora} < 11
%exclude %{_bindir}/gdb.py[co]
%exclude %{_bindir}/strace.py[co]
%endif
%{_bindir}/gdb.py
%{_bindir}/strace.py
%{python_sitelib}/ptrace/
%{python_sitelib}/python_ptrace-*-py%{pyver}.egg-info
%{python_sitelib_arch}/cptrace.so
%{python_sitelib_arch}/cptrace-*-py%{pyver}.egg-info

%changelog
* Fri Feb 11 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Dec 05 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.6.2-1
- 0.6.2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar  8 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.6-4
- Build with all rpm versions

* Sun Mar  8 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.6-3
- Remove %%exclude

* Thu Mar  5 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.6-2
- switch to %%global, fix files listing, remove comments

* Wed Mar  4 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.6-1
- 0.6

* Sat Sep 13 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.5-1
- 0.5
